## dbus 1.16.2

=== test/CMakeLists.txt ===

add_definitions(${DBUS_INTERNAL_CLIENT_DEFINITIONS})

include_directories(.)

set(DBUS_SESSION_BUS_LISTEN_ADDRESS ${TEST_LISTEN})

add_library(dbus-testutils STATIC
    disable-crash-handling.c
    disable-crash-handling.h
    test-utils.h
    test-utils.c
)
target_link_libraries(dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

if(DBUS_ENABLE_INTRUSIVE_TESTS)
    add_subdirectory( name-test )
endif()

set(manual-dir-iter_SOURCES
    manual-dir-iter.c
)

set(test-service_SOURCES
    test-service.c
)

set(test-names_SOURCES
    test-names.c
)

set(break_loader_SOURCES
    break-loader.c
)

set(test-shell-service_SOURCES
    test-shell-service.c
)

set(test-shell_SOURCES
    shell-test.c
)

set(test-atomic_SOURCES
    internals/atomic.c
)

set(test-spawn_SOURCES
    spawn-test.c
)

set(test-exit_SOURCES
    test-exit.c
)

# We have to compile a separate copy of disable-crash-handling.c for
# test-segfault rather than using the libdbus-testutils library, because
# otherwise it would fail to link when using the AddressSanitizer.
set(test-segfault_SOURCES
    disable-crash-handling.c
    disable-crash-handling.h
    test-segfault.c
)

set(test-sleep-forever_SOURCES
    test-sleep-forever.c
)

set(manual-tcp_SOURCES
    manual-tcp.c
)

set(manual-paths_SOURCES
    manual-paths.c
)

add_helper_executable(manual-dir-iter ${manual-dir-iter_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-service ${test-service_SOURCES} dbus-testutils)
add_helper_executable(test-names ${test-names_SOURCES} dbus-testutils)
add_test_executable(test-shell ${test-shell_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_test_executable(test-string internals/strings.c dbus-testutils)
add_test_executable(test-printf internals/printf.c dbus-testutils)
add_helper_executable(test-privserver test-privserver.c dbus-testutils)
add_helper_executable(test-shell-service ${test-shell-service_SOURCES} dbus-testutils)
if(NOT WINCE AND ENABLE_TRADITIONAL_ACTIVATION)
    add_test_executable(test-spawn-oom internals/spawn-oom.c dbus-testutils)
endif()
if(ENABLE_TRADITIONAL_ACTIVATION)
    add_helper_executable(test-spawn ${test-spawn_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
endif()
add_helper_executable(test-exit ${test-exit_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
# the second argument of add_helper_executable() is a whitespace-separated
# list of source files and the third and subsequent arguments are libraries
# to link, hence the quoting here
add_helper_executable(test-segfault "${test-segfault_SOURCES}")
add_helper_executable(test-sleep-forever ${test-sleep-forever_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(manual-tcp ${manual-tcp_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(manual-backtrace manual-backtrace.c dbus-1)
if(WIN32)
    add_helper_executable(manual-paths ${manual-paths_SOURCES} dbus-testutils)
endif()

if(DBUS_ENABLE_INTRUSIVE_TESTS)
    add_test_executable(test-atomic ${test-atomic_SOURCES} dbus-testutils)
    add_test_executable(test-hash internals/hash.c dbus-testutils)
    set_target_properties(test-hash PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/marshal-recursive.c
    )
    add_test_executable(test-marshal-recursive "${SOURCES}" dbus-testutils)
    set_target_properties(test-marshal-recursive PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/dbus-message-factory.c
        internals/dbus-message-factory.h
        internals/dbus-message-util.c
        internals/dbus-message-util.h
        internals/message-internals.c
    )
    add_test_executable(test-message-internals "${SOURCES}" dbus-testutils)
    set_target_properties(test-message-internals PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/address.c
        internals/dbus-auth-script.c
        internals/dbus-auth-script.h
        internals/dbus-auth-util.c
        internals/dbus-credentials-util.c
        internals/dbus-marshal-byteswap-util.c
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/dbus-marshal-validate-util.c
        internals/dbus-string-util.c
        internals/dbus-sysdeps-util.c
        internals/mempool.c
        internals/misc-internals.c
        internals/misc-internals.h
        internals/sha.c
    )
    add_test_executable(test-misc-internals "${SOURCES}" dbus-testutils)
    set_target_properties(test-misc-internals PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    add_test_executable(test-platform-mutex test-platform-mutex.c ${DBUS_INTERNAL_LIBRARIES} dbus-testutils)

    set(SOURCES bus/main.c bus/common.c bus/common.h)
    add_test_executable(test-bus "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
    set_target_properties(test-bus PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    if(ENABLE_TRADITIONAL_ACTIVATION)
        set(SOURCES bus/normal-activation.c bus/common.c bus/common.h)
        add_test_executable(test-bus-normal-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
        set_target_properties(test-bus-normal-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
    endif()


    set(SOURCES bus/dispatch-sha1.c bus/common.c bus/common.h)
    add_test_executable(test-bus-dispatch-sha1 "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
    set_target_properties(test-bus-dispatch-sha1 PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    if(NOT WIN32)
        add_test_executable(test-bus-system bus/system.c launch-helper-internal dbus-testutils)
        add_test_executable(test-counter internals/counter.c dbus-testutils)
        if(ENABLE_TRADITIONAL_ACTIVATION)
            add_test_executable(test-bus-launch-helper-oom bus/launch-helper-oom.c launch-helper-internal dbus-testutils)
            add_helper_executable(dbus-daemon-launch-helper-for-tests bus/launch-helper-for-tests.c launch-helper-internal)

            set(SOURCES bus/failed-helper-activation.c bus/common.c bus/common.h)
            add_test_executable(test-bus-failed-helper-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
            set_target_properties(test-bus-failed-helper-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

            set(SOURCES bus/helper-activation.c bus/common.c bus/common.h)
            add_test_executable(test-bus-helper-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
            set_target_properties(test-bus-helper-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
        endif()
    endif()
endif()

if(DBUS_WITH_GLIB)
    message(STATUS "with glib test apps")

    add_library(dbus-testutils-glib STATIC
        test-utils-glib.h
        test-utils-glib.c
    )
    target_link_libraries(dbus-testutils-glib dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

    add_definitions(
        ${GLIB2_DEFINITIONS}
    )
    include_directories(
        ${GLIB2_INCLUDE_DIR}
    )

    set(TEST_LIBRARIES ${DBUS_INTERNAL_LIBRARIES} dbus-testutils dbus-testutils-glib ${GLIB2_LIBRARIES})

    add_test_executable(test-assertions internals/assertions.c ${TEST_LIBRARIES})
    add_test_executable(test-corrupt corrupt.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon dbus-daemon.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon-eavesdrop dbus-daemon-eavesdrop.c ${TEST_LIBRARIES})
    add_test_executable(test-desktop-file internals/desktop-file.c ${TEST_LIBRARIES})
    add_test_executable(test-fdpass fdpass.c ${TEST_LIBRARIES})
    add_test_executable(test-header-fields header-fields.c ${TEST_LIBRARIES})
    add_test_executable(test-loopback loopback.c ${TEST_LIBRARIES})
    add_test_executable(test-marshal marshal.c ${TEST_LIBRARIES})
    add_test_executable(test-monitor monitor.c ${TEST_LIBRARIES})
    add_test_executable(test-refs internals/refs.c ${TEST_LIBRARIES})
    add_test_executable(test-relay relay.c ${TEST_LIBRARIES})
    add_test_executable(test-server-oom internals/server-oom.c ${TEST_LIBRARIES})
    add_test_executable(test-syntax syntax.c ${TEST_LIBRARIES})
    add_test_executable(test-sysdeps internals/sysdeps.c ${TEST_LIBRARIES})
    add_test_executable(test-syslog internals/syslog.c ${TEST_LIBRARIES})
    add_test_executable(test-uid-permissions uid-permissions.c ${TEST_LIBRARIES})
    add_test_executable(test-userdb internals/userdb.c ${TEST_LIBRARIES})
    add_helper_executable(manual-authz manual-authz.c ${TEST_LIBRARIES})
    add_helper_executable(manual-test-thread-blocking thread-blocking.c ${TEST_LIBRARIES})
endif()

### keep these in creation order, i.e. uppermost dirs first 
set(TESTDIRS
    data
    data/invalid-messages
    data/auth
    data/sha-1
    data/systemd-activation
    data/valid-config-files
    data/valid-config-files/basic.d
    data/valid-config-files/session.d
    data/valid-config-files-system
    data/valid-config-files-system/system.d
    data/valid-messages
    data/valid-service-files
    data/valid-service-files-system
    data/invalid-config-files
    data/invalid-config-files-system
    data/invalid-messages
    data/invalid-service-files-system
    data/equiv-config-files
    data/equiv-config-files/basic
    data/equiv-config-files/basic/basic.d
    data/equiv-config-files/entities
    data/equiv-config-files/entities/basic.d
)

foreach(DIR ${TESTDIRS})
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/${DIR})
endforeach()

### copy tests to builddir so that generated tests and static tests 
### are all in one place.
if(NOT ENABLE_VERBOSE_CONFIG)
    set(HINT " (use -DENABLE_VERBOSE_CONFIG=ON to see the list of files)")
endif()

message(STATUS "Copying test files to test directory${HINT}")

macro(dbus_configure_file _src _dest)
    configure_file(${_src} ${_dest} ${ARGN})
    if(ENABLE_VERBOSE_CONFIG)
        message("   generating ${_dest}")
    endif()
endmacro()

foreach(FILE_TYPE *.message-raw *.auth-script *.sha1 *.txt *.conf *.service)
    foreach(DIR ${TESTDIRS})
        file(GLOB FILES "${DIR}/${FILE_TYPE}" )
        foreach(FILE ${FILES})
            get_filename_component(FILENAME ${FILE} NAME)
            set(TARGET ${CMAKE_CURRENT_BINARY_DIR}/${DIR}/${FILENAME})
            dbus_configure_file(${FILE} ${TARGET} COPYONLY)
        endforeach()
    endforeach()
endforeach()

### generate test files
message(STATUS "Generating test files from templates into test directory${HINT}")

foreach(FILE_TYPE *.conf.in *.service.in)
    foreach(DIR ${TESTDIRS})
    file(GLOB FILES "${DIR}/${FILE_TYPE}" )
    foreach(FILE ${FILES})
        get_filename_component(FILENAME ${FILE} NAME)
        string(REGEX REPLACE "\\.in$" "" FILENAME ${FILENAME})
        set(TARGET ${CMAKE_CURRENT_BINARY_DIR}/${DIR}/${FILENAME})
        dbus_configure_file(${FILE} ${TARGET} @ONLY IMMEDIATE)
    endforeach()
    endforeach()
endforeach()

message(STATUS "Copying generated bus config files to test directory${HINT}")
dbus_configure_file(../bus/session.conf.in ${PROJECT_BINARY_DIR}/test/data/valid-config-files/session.conf @ONLY)
dbus_configure_file(../bus/system.conf.in ${PROJECT_BINARY_DIR}/test/data/valid-config-files-system/system.conf @ONLY)

=== test/name-test/CMakeLists.txt ===
add_definitions(${DBUS_INTERNAL_CLIENT_DEFINITIONS})

if(WIN32)
    add_test_executable(test-autolaunch-win test-autolaunch-win.c ${DBUS_INTERNAL_LIBRARIES} dbus-testutils)
else()
    add_helper_executable(test-autolaunch test-autolaunch.c dbus-testutils)
endif()

add_session_test_executable(test-ids test-ids.c ${DBUS_INTERNAL_LIBRARIES})
add_session_test_executable(test-pending-call-disconnected test-pending-call-disconnected.c ${DBUS_INTERNAL_LIBRARIES})

if(ENABLE_TRADITIONAL_ACTIVATION)
    add_session_test_executable(test-pending-call-dispatch test-pending-call-dispatch.c ${DBUS_INTERNAL_LIBRARIES})
    add_session_test_executable(test-pending-call-timeout test-pending-call-timeout.c ${DBUS_INTERNAL_LIBRARIES})
endif()
add_session_test_executable(test-shutdown test-shutdown.c dbus-testutils)
if(ENABLE_TRADITIONAL_ACTIVATION)
    add_session_test_executable(test-privserver-client test-privserver-client.c dbus-testutils)
    add_session_test_executable(test-thread-init test-threads-init.c ${DBUS_INTERNAL_LIBRARIES})
endif()

=== debian/changelog ===
dbus (1.16.2-4) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use sysusers.d(5) and dh-sequence-installsysusers to create the
    messagebus user (Mitigates: #1126595)
  * Always recommend a reboot on upgrade, instead of checking whether at
    least one dbus-daemon is running. In most cases it will be, and this
    reduces complexity and avoids a call to pidof. (Helps: #851747)
  * Consistently use /run/ instead of /var/run/ in dbus.postinst

  [ Simon McVittie ]
  * d/p/debian/tests-Skip-AppArmor-mediation-test-on-non-Ubuntu-kernels.patch:
    Add a patch to skip the AppArmor mediation test for now. This test
    was initially developed with Ubuntu's patched kernels in mind, and
    doesn't appear to work with the version of dbus mediation that was
    included in the upstream 6.17+ kernels, possibly requiring a newer
    apparmor user-space to become effective. (Mitigates: #1128786)
  * d/p/debian/tests-Multiply-timeouts-by-20-on-riscv64.patch:
    Remove patch. Official riscv64 buildds are now real hardware rather
    than qemu-system, with correspondingly better performance.
  * d/clean, d/rules: Clean debian/tmp-udeb declaratively
  * d/clean: Ensure all three build directories are deleted
  * d/clean: Sort alphabetically
  * d/control: Standards-Version: 4.7.3
    - Remove Priority: optional, which is now implicit

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Feb 2026 00:32:59 +0000

dbus (1.16.2-3) unstable; urgency=medium

  * d/control: Annotate valgrind-if-available B-D with <!noinsttest>.
    It can't correctly be <!nocheck> because it affects the contents of the
    dbus-tests package, but we don't need it if we are not compiling that
    package. (Closes: #1126343)
  * d/control: Drop versioned Depends on base-files.
    We do not support skipping a stable release (direct upgrades from
    bookworm to forky) so this served its purpose during the trixie release.
  * d/control: (Build-)Depend on libselinux-dev instead of libselinux1-dev,
    similar to #1124750 in src:glib2.0
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Clarify the meaning of a non-trivial build profile restriction
  * d/replacing-dbus-dependency.txt:
    Document how to replace a direct dependency on the dbus package
  * d/copyright: Don't quote the FSF's former postal address here
  * d/copyright: Number BSD-3-clause clauses sequentially
  * d/copyright: Update list of BSD-licensed files
  * d/watch: Convert to uscan format v5
  * d/salsa-ci.yml: Exercise cross-compilation
  * Reformat packaging using debputy
  * d/dbus-system-bus-common.lintian-overrides: Remove an obsolete override

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jan 2026 15:04:38 +0000

dbus (1.16.2-2) unstable; urgency=medium

  * Pass fewer options to adduser (Closes: #1099086)
    - Remove --no-create-home. Add a versioned dependency on 3.130
      instead, so that /nonexistent will be special-cased to not be created.
    - Remove --home /nonexistent.
      This is the default for system users since 3.122.
    - Remove --disabled-password.
      This is the default since at least 3.118 (Debian 11).
  * d/p/debian/sysusers.d-Set-user-s-home-directory-to-nonexistent.patch:
    Add patch so sysusers.d sets home directory /nonexistent, making it
    consistent with what adduser would do
  * d/dbus-system-bus-common.postinst: Create system user in more
    situations, matching the behaviour of dh_installsysusers
  * d/dbus-system-bus-common.postinst: Use systemd-sysusers if available.
    This avoids needing an unconditional dependency on adduser.
  * d/control: Remove alternative dependency on usr-is-merged.
    Now that a version of base-files that enforces merged /usr has been
    in testing for a while, we can drop the alternative dependency, which
    should help apt to realise that usr-is-merged can be autoremoved.
    The versioned dependency on base-files is intentional (see #1054650,
    #1072756, #1085407) and should be kept until the beginning of the
    forky cycle. During upgrades from bookworm to trixie, if a system has
    been misconfigured to force non-merged /usr (contrary to #978636,
    #994388), then we want that misconfiguration to be detected by
    base-files.preinst and stop the upgrade early, without first
    installing a version of dbus that will not work on that system.
    (Closes: #1099706)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Mar 2025 19:04:46 +0000

dbus (1.16.2-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes a build failure with updated libselinux (Closes: #1096212)

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Feb 2025 16:39:08 +0000

=== debian/control ===
Source: dbus
X-Style: black
Section: admin
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Michael Biebl <biebl@debian.org>,
 Loic Minier <lool@dooz.org>,
 Simon McVittie <smcv@debian.org>,
# B-D on libglib2.0-dev if (!nocheck) || (!noinsttest)
Build-Depends:
 debhelper (>= 13.11.6~),
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-installsysusers,
 libapparmor-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libexpat-dev,
 libglib2.0-dev <!nocheck> <!noinsttest>,
 libnss-wrapper <!nocheck>,
 libselinux-dev [linux-any],
 libsystemd-dev [linux-any],
 libx11-dev,
 meson,
 pkgconf,
 valgrind-if-available <!noinsttest>,
 xml-core,
 xmlto <!nodoc>,
Build-Depends-Indep:
 doxygen <!nodoc>,
 ducktype <!nodoc>,
 xsltproc <!nodoc>,
 yelp-tools <!nodoc>,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
Homepage: https://dbus.freedesktop.org/

Package: dbus
Architecture: any
Priority: standard
Provides:
 dbus-system-bus (= ${binary:Version}),
 default-dbus-system-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-system-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-dbus-session-bus | dbus-session-bus,
Multi-Arch: foreign
Description: simple interprocess messaging system (system message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package provides a fully-functional D-Bus system bus with activation
 support, used for communication between system services, and depends on
 most of the other components of the reference implementation of D-Bus.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-session-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (session bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus session bus, used for applications and per-user services.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-system-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (system bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus system bus, used for system services such as networking and
 storage management services. It is also responsible for creating the
 'messagebus' system user account used to run the system bus.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus system bus, install one of the packages
 that implement the dbus-system-bus virtual package, such as dbus.
 The recommended implementation is indicated by the default-dbus-system-bus
 virtual package.

Package: dbus-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (command line utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the D-Bus command-line utilities such as dbus-send
 and dbus-monitor.

Package: dbus-daemon
Architecture: any
Multi-Arch: foreign
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (reference message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains dbus-daemon, the reference implementation of a
 D-Bus message bus, and dbus-run-session, a utility to start a temporary
 session dbus-daemon in a constrained environment or for automated tests.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Suggests:
 libdbus-1-dev,
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.11.10-2~),
Replaces:
 dbus-1-dbg (<< 1.11.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility.
 .
 It also provides copies of the D-Bus libraries and executables compiled
 with extra test instrumentation, debug information and logging,
 installed into the /usr/lib/dbus-1.0/debug-build/ directory.
 This version is only suitable for debugging and testing on non-production
 systems: the additional instrumentation is likely to be insecure, and
 harms robustness and performance.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus-daemon and dbus-x11
 packages, for use in the Debian installer. It can run a session bus,
 but is not suitable for use as a system bus.

Package: dbus-user-session
Architecture: linux-any
Multi-Arch: foreign
Provides:
 dbus-session-bus,
 default-dbus-session-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-daemon (= ${binary:Version}) | dbus-broker,
 dbus-session-bus-common (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-x11
Architecture: any
Section: x11
Provides:
 dbus-session-bus,
 default-dbus-session-bus [!linux-any],
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility, which automatically
 launches one D-Bus session bus per X11 display per user. If the
 dbus-user-session package is also installed, it takes precedence over
 this package.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dbus,
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The message bus daemon can be found in the dbus-daemon package.

Package: libdbus-1-3-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends:

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2011 Michael Biebl <biebl@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ $(dh_options)

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))
debug_build_prefix := /usr/lib/dbus-1.0/debug-build
binaries := $(shell dh_listpackages)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

dh_options = \
	--builddirectory=debian/build-main \
	--buildsystem=meson \
	--with xml-core \
	--without autoreconf \
	$(NULL)

common_configure_flags := \
	--libexecdir=lib/dbus-1.0 \
	-Dmessage_bus=true \
	-Dsystem_socket=/run/dbus/system_bus_socket \
	-Dtools=true \
	-Dtraditional_activation=true \
	$(NULL)


ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
common_configure_flags += --native-file $(CURDIR)/debian/meson-binaries.txt
else
common_configure_flags += --cross-file $(CURDIR)/debian/meson-binaries.txt
endif

normal_configure_flags := \
	-Ddefault_library=both \
	$(NULL)

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Non-bootstrap build on Linux: add Linux-specifics
common_configure_flags += \
	-Dapparmor=enabled \
	-Dlibaudit=enabled \
	-Dselinux=enabled\
	-Dsession_socket_dir=/tmp \
	-Dsystemd=enabled \
	-Dsystemd_system_unitdir=/usr/lib/systemd/system \
	-Dtest_socket_dir=/tmp \
	$(NULL)
normal_configure_flags += \
	-Dsystemd_user_unitdir=/usr/lib/systemd/user \
	-Duser_session=true \
	$(NULL)
endif

debug_configure_flags := \
	-Dasserts=true \
	-Dchecks=true \
	-Ddefault_library=both \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dvalgrind=auto \
	-Dverbose_mode=true \
	-Dxml_docs=disabled \
	--bindir='${debug_build_prefix}/bin' \
	--libdir='${debug_build_prefix}/lib' \
	--libexecdir='${debug_build_prefix}/libexec' \
	$(NULL)

udeb_configure_flags := \
	$(normal_configure_flags) \
	-Dapparmor=disabled \
	-Dasserts=false \
	-Dchecks=false \
	-Ddefault_library=shared \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dinstalled_tests=false \
	-Dlibaudit=disabled \
	-Doptimization=s \
	-Dselinux=disabled \
	-Dstats=false \
	-Dsystemd=disabled \
	-Duser_session=false \
	-Dverbose_mode=false \
	-Dxml_docs=disabled \
	$(NULL)

ifneq ($(filter dbus-tests,$(binaries)),)
common_configure_flags += -Dinstalled_tests=true
else
common_configure_flags += -Dinstalled_tests=false
endif

# Some features are needed whenever we have build-time *or* installed tests
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter dbus-tests,$(binaries)),nocheck)
debug_configure_flags += -Dintrusive_tests=true
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
normal_configure_flags += -Dxml_docs=enabled
else
normal_configure_flags += -Dxml_docs=disabled
endif

ifneq ($(filter dbus-1-doc,$(binaries)),)
normal_configure_flags += -Ddoxygen_docs=enabled
normal_configure_flags += -Dducktype_docs=enabled
else
normal_configure_flags += -Ddoxygen_docs=disabled
normal_configure_flags += -Dducktype_docs=disabled
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		$(normal_configure_flags) \
		$(NULL)
ifneq ($(filter dbus-tests,$(binaries)),)
	LDFLAGS='$(LDFLAGS) -Wl,-rpath,${debug_build_prefix}/lib' \
	dh_auto_configure \
		--builddirectory=debian/build-debug \
		-- \
		$(common_configure_flags) \
		$(debug_configure_flags) \
		$(NULL)
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build-udeb \
		-- \
		$(common_configure_flags) \
		$(udeb_configure_flags) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter dbus-tests,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-debug
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-udeb
endif

meson_test_flags = \
	--timeout-multiplier 3 \
	-v \
	$(NULL)

handle-test-failure:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	@echo "Build-time tests failed, please debug"
	@false
else
	@echo "Ignoring build-time test failure on non-Linux for now"
endif

test_env = \
	-u DISPLAY \
	DBUS_TEST_HOMEDIR=$${HOME} \
	LD_PRELOAD=libnss_wrapper.so \
	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
	$(NULL)

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	env $(test_env) \
		dh_auto_test -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
ifneq ($(filter dbus-tests,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-debug -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-udeb -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install:
ifneq ($(filter dbus-udeb,$(binaries)),)
	# udeb build
	dh_auto_install --builddirectory=debian/build-udeb --destdir=$(CURDIR)/debian/tmp-udeb
	cd $(CURDIR)/debian/tmp-udeb && find | LC_ALL=C sort
endif
ifneq ($(filter dbus-tests,$(binaries)),)
	# debug build
	dh_auto_install --builddirectory=debian/build-debug --destdir=$(CURDIR)/debian/tmp
	rm -rfv debian/tmp/etc
	rm -rfv debian/tmp/usr/include
	rm -rfv debian/tmp/usr/lib/systemd
	rm -rfv debian/tmp/usr/lib/sysusers.d
	rm -rfv debian/tmp/usr/share/dbus-1
	rm -rfv debian/tmp/usr/share/doc
	rm -rfv debian/tmp/usr/share/man
	rm -rfv debian/tmp/usr/share/xml
	mv debian/tmp/usr/share/installed-tests/dbus \
		debian/tmp/usr/share/installed-tests/dbus-debug-build
	sed -i -e \
		"s,^Exec=,Exec=sh -c 'export PATH=/usr/lib/dbus-1.0/debug-build/bin:\$$PATH; exec \"\$$@\"' sh ," \
		debian/tmp/usr/share/installed-tests/dbus-debug-build/*.test
	rm -f debian/tmp/${debug_build_prefix}/libexec/installed-tests/dbus/data/sha-1/Readme.txt
	cd $(CURDIR)/debian/tmp && find | LC_ALL=C sort
endif
	# normal build (do this last so that it overwrites the others)
	dh_auto_install
	rm -f debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus/data/sha-1/Readme.txt
ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
	# Reproducible build: sed out the generated dates from the man pages.
	sed -i \
		-e '/^\.\\\" *Date: .*/d' \
		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
		debian/tmp/usr/share/man/man?/*
endif
ifeq ($(filter dbus-tests,$(binaries)),)
	# noinsttest builds dbus-test-tool but not dbus-tests
	rm -f debian/tmp/usr/bin/dbus-test-tool
endif
ifeq ($(filter dbus-1-doc,$(binaries)),)
	# nodoc builds still install a bit of documentation
	rm -fr debian/tmp/usr/share/doc/dbus
endif
	# Remove the legacy bus configuration files. We move their old
	# versions out of the way, include the moved names in the new
	# bus setup instead of the old names, and replace the old names
	# with a symlink to the new bus setup so that old dbus-daemons
	# can still reload their configuration.
	rm -f debian/tmp/etc/dbus-1/session.conf
	rm -f debian/tmp/etc/dbus-1/system.conf

ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
# We can't expect the install files to be fully up to date for a snapshot.
dh_missing_options += --list-missing
else
dh_missing_options += --fail-missing
endif

override_dh_missing:
	dh_missing $(dh_missing_options)

# Yes, we do need both --no- options here. https://bugs.debian.org/837528
override_dh_installinit:
	dh_installinit -pdbus --no-stop-on-upgrade --no-restart-after-upgrade
override_dh_installsystemd:
	dh_installsystemd -pdbus --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installdocs:
	dh_installdocs --all AUTHORS NEWS README

debian/$(libdbusN).symbols: debian/$(libdbusN).symbols.in
	sed -e 's/$${DEB_VERSION}/${DEB_VERSION}/g' \
		< $< > $@

ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
# We can't expect the symbols file to be fully up to date for a snapshot,

=== debian/tests/control ===
Tests:
 gnome-desktop-testing,
Depends:
 dbus,
 dbus-tests,
 dbus-x11,
 gnome-desktop-testing,
 xauth,
 xvfb,

Tests:
 apparmor,
Restrictions:
 allow-stderr,
 needs-root,
Depends:
 apparmor,
 dbus,
 dbus-tests,

Tests:
 root,
Restrictions:
 allow-stderr,
 needs-root,
Depends:
 dbus,
 dbus-tests,

Tests:
 system-bus,
Restrictions:
 isolation-machine,
 needs-reboot,
 needs-root,
Depends:
 dbus,
 dbus-tests,
 init,

Tests:
 build,
Restrictions:
 superficial,
Depends:
 build-essential,
 dbus,
 libdbus-1-dev,

Tests:
 dbus-bin,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 dbus-bin,

Tests:
 dbus-daemon,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 dbus-daemon,

Tests:
 machine-id,
Restrictions:
 allow-stderr,
 needs-root,
 superficial,
Depends:
 dbus-daemon,

Test-Command: debian/tests/machine-id with-systemd
Features:
 test-name=machine-id_with_systemd,
Restrictions:
 allow-stderr,
 needs-root,
 superficial,
Depends:
 dbus-daemon,
 systemd,

Tests:
 dbus-session-bus-common,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 dbus-session-bus-common,

Tests:
 dbus-system-bus-common,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 dbus-system-bus-common,

=== debian/watch ===
Version: 5

Source: https://dbus.freedesktop.org/releases/dbus/
Matching-Pattern: dbus-(\d+\.\d*[02468]\..*)@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/

## dbus next-0.2.2

=== requirements.txt ===
alabaster==0.7.12
attrs==20.3.0
Babel==2.8.0
certifi==2020.11.8
chardet==3.0.4
coverage==5.3
dbus-next==0.2.1
docutils==0.16
flake8==3.8.4
i3ipc==2.2.1
idna==2.10
imagesize==1.2.0
iniconfig==1.1.1
Jinja2==2.11.2
livereload==2.6.3
MarkupSafe==1.1.1
mccabe==0.6.1
packaging==20.4
pluggy==0.13.1
py==1.9.0
pycodestyle==2.6.0
pyflakes==2.2.0
Pygments==2.7.2
pyparsing==2.4.7
pytest==6.1.2
pytest-asyncio==0.14.0
pytest-cov==2.10.1
pytest-timeout==1.4.2
pytz==2020.4
requests==2.24.0
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.3.0
sphinx-autobuild==2020.9.1
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-fulltoc==1.2.0
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
toml==0.10.2
tornado==6.1
urllib3==1.25.11
yapf==0.30.0
